Bulk Add Values
Bulk add values to a dimension.
Requires super admin permission.
POST
/
v1
/
demographics
/
{dimension_id}
/
values
/
bulk
Bulk Add Values
curl --request POST \
--url https://api.example.com/v1/demographics/{dimension_id}/values/bulk \
--header 'Content-Type: application/json' \
--data '
{
"values": [
{
"value": "<string>",
"display_name": "<string>",
"metadata": {},
"sort_order": 0
}
]
}
'import requests
url = "https://api.example.com/v1/demographics/{dimension_id}/values/bulk"
payload = { "values": [
{
"value": "<string>",
"display_name": "<string>",
"metadata": {},
"sort_order": 0
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
values: [{value: '<string>', display_name: '<string>', metadata: {}, sort_order: 0}]
})
};
fetch('https://api.example.com/v1/demographics/{dimension_id}/values/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/demographics/{dimension_id}/values/bulk"
payload := strings.NewReader("{\n \"values\": [\n {\n \"value\": \"<string>\",\n \"display_name\": \"<string>\",\n \"metadata\": {},\n \"sort_order\": 0\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"created_at": 123,
"display_name": "<string>",
"value_metadata": {},
"sort_order": 0
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Body
application/json
Last modified on April 21, 2026
Was this page helpful?
⌘I
Bulk Add Values
curl --request POST \
--url https://api.example.com/v1/demographics/{dimension_id}/values/bulk \
--header 'Content-Type: application/json' \
--data '
{
"values": [
{
"value": "<string>",
"display_name": "<string>",
"metadata": {},
"sort_order": 0
}
]
}
'import requests
url = "https://api.example.com/v1/demographics/{dimension_id}/values/bulk"
payload = { "values": [
{
"value": "<string>",
"display_name": "<string>",
"metadata": {},
"sort_order": 0
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
values: [{value: '<string>', display_name: '<string>', metadata: {}, sort_order: 0}]
})
};
fetch('https://api.example.com/v1/demographics/{dimension_id}/values/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/demographics/{dimension_id}/values/bulk"
payload := strings.NewReader("{\n \"values\": [\n {\n \"value\": \"<string>\",\n \"display_name\": \"<string>\",\n \"metadata\": {},\n \"sort_order\": 0\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"created_at": 123,
"display_name": "<string>",
"value_metadata": {},
"sort_order": 0
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}